summaryrefslogtreecommitdiffstats
path: root/russian
diff options
context:
space:
mode:
authortg <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
committertg <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
commit3a84881f168162a487490bbbd275ca05b7f5560d (patch)
treee888acd7e17d635c1f902fccb1eefdf89f15641a /russian
parent83513fef56c1c9996eb040a93488ed7837fac927 (diff)
downloadFreeBSD-ports-3a84881f168162a487490bbbd275ca05b7f5560d.zip
FreeBSD-ports-3a84881f168162a487490bbbd275ca05b7f5560d.tar.gz
As threatened on freebsd-ports: all startup scripts know about the two
options `start' and `stop' now (unless I have forgotten any). This allows us to call the scripts from /etc/rc.shutdown with the correct option. The (42 or so) ports that already DTRT before are unchanged.
Diffstat (limited to 'russian')
-rw-r--r--russian/apache13/Makefile4
-rw-r--r--russian/apache13/files/apache.sh20
2 files changed, 21 insertions, 3 deletions
diff --git a/russian/apache13/Makefile b/russian/apache13/Makefile
index 3461407..fa9ff28 100644
--- a/russian/apache13/Makefile
+++ b/russian/apache13/Makefile
@@ -81,9 +81,7 @@ pre-install:
post-install:
@if [ ! -f ${PREFIX}/etc/rc.d/apache.sh ]; then \
${ECHO} "Installing ${PREFIX}/etc/rc.d/apache.sh startup file."; \
- ${ECHO} "#!/bin/sh" > ${PREFIX}/etc/rc.d/apache.sh; \
- ${ECHO} "[ -x ${PREFIX}/sbin/apachectl ] && ${PREFIX}/sbin/apachectl start > /dev/null && ${ECHO_MSG} -n ' apache'" >> ${PREFIX}/etc/rc.d/apache.sh; \
- ${CHMOD} 751 ${PREFIX}/etc/rc.d/apache.sh; \
+ ${INSTALL_SCRIPT} -m 751 ${FILESDIR}/apache.sh ${PREFIX}/etc/rc.d/apache.sh; \
fi
.include <bsd.port.mk>
diff --git a/russian/apache13/files/apache.sh b/russian/apache13/files/apache.sh
new file mode 100644
index 0000000..6199182
--- /dev/null
+++ b/russian/apache13/files/apache.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ [ -x ${PREFIX}/sbin/apachectl ] && ${PREFIX}/sbin/apachectl start > /dev/null && echo -n ' apache'
+ ;;
+stop)
+ [ -r /var/run/httpd.pid ] && ${PREFIX}/apachectl stop > /dev/null && echo -n ' apache'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0
OpenPOWER on IntegriCloud